package com.hikapro.backpack.presenter.adapters.helper.items;

/**
 * Created by tariel on 30/04/16.
 */
public interface ItemVisibilityAdapter {

    /**
     *
     * Return true the specified adapter position is visible, false otherwise
     *
     * The implementation of this method will typically return true if
     * the position is between the layout manager's findFirstVisibleItemPosition
     * and findLastVisibleItemPosition (inclusive).
     *
     * @param position the adapter position
     */
    boolean isPositionVisible(final int position);
}
