package com.hikapro.backpack.model.dao;

/**
 * Created by tariel on 27/04/16.
 */
public interface Event {

    int SET_LOAD_ERROR              = -0x1;
    int SET_REORDER_ERROR           = -0x2;
    int SET_ITEMS_LOAD_ERROR        = -0x3;
    int SET_PACKED_LOAD_ERROR       = -0x4;
    int SET_UNPACK_ERROR            = -0x5;
    int SET_RESTORE_ERROR           = -0x6;
    int SET_GET_STAT_ERROR          = -0x7;
    int SET_CLEAN_PACKED_ERROR      = -0x8;
    int SET_ITEMS_LIKE_ERROR        = -0x9;
    int SET_ITEMS_LIKE_PACKED_ERROR = -0xA;


    int SET_LOAD_COMPLETED          = 0x1;
    int SET_REORDER_COMPLETED       = 0x2;
    int SET_ITEMS_LOAD_COMPLETED    = 0x3;
    int SET_PACKED_LOAD_COMPLETED   = 0x4;
    int SET_UNPACK_COMPLETED        = 0x5;
    int SET_RESTORE_COMPLETED       = 0x6;
    int SET_GET_STAT_COMPLETED      = 0x7;
    int SET_PACKED_CLEANED          = 0x8;
    int SET_ITEMS_LIKE_COMPLETED    = 0x9;
    int SET_ITEMS_LIKE_PACKED_COMPLETED = 0xA;

    int ITEM_FROM_SET_ERROR         = -0x14;
    int ITEM_INSERT_ERROR           = -0x15;
    int ITEM_DELETE_ERROR           = -0x16;
    int ITEM_PACK_ERROR             = -0x17;
    int ITEM_UNPACK_ERROR           = -0x18;
    int ITEM_CATEGORY_LOAD_ERROR    = -0x19;
    int ITEM_IMAGE_LOAD_ERROR       = -0x1A;
    int ITEM_LIKE_LOAD_ERROR        = -0x1B;
    int ITEM_PENDING_REMOVAL_ERROR  = -0x1C;
    int ITEM_REMOVAL_CANCEL_ERROR   = -0x1D;
    int ITEM_READ_ERROR             = -0x1E;

    int ITEM_FROM_SET_DELETED       = 0x14;
    int ITEM_INSERTED               = 0x15;
    int ITEM_DELETED                = 0x16;
    int ITEM_PACKED                 = 0x17;
    int ITEM_UNPACKED               = 0x18;
    int ITEM_CATEGORY_LOAD_COMPLETED    = 0x19;
    int ITEM_IMAGE_LOAD_COMPLETED   = 0x1A;
    int ITEM_LIKE_LOAD_COMPLETED    = 0x1B;
    int ITEM_PENDING_REMOVAL_COMPLETED = 0x1C;
    int ITEM_REMOVAL_CANCELED       = 0x1D;
    int ITEM_READ_COMPLETED         = 0x1E;

    int MY_LIST_POST_ERROR          = -0x28;
    int MY_LIST_ITEM_ADD_ERROR      = -0x29;
    int MY_LIST_ITEM_DELETE_ERROR   = -0x2A;
    int MY_LIST_CLEAR_ERROR         = -0x2B;

    int MY_LIST_POSTED              = 0x28;
    int MY_LIST_ITEM_ADDED          = 0x29;
    int MY_LIST_ITEM_DELETED        = 0x2A;
    int MY_LIST_CLEARED             = 0x2B;

    int SYNC_FAILED                 = -0x3C;
    int SYNC_NO_CONNECTION          = -0x3D;
    int SYNC_COMPLETED              = 0x3C;

    int NOT_IMPLEMENTED             = 0x50;
    int NOT_UNDERSTAND              = 0x51;


}
